Bug Hunting Session
Bug 109319 - FILEOPEN: DOCX - Not importing drop caps space to text value (w:hSpace)
Summary: FILEOPEN: DOCX - Not importing drop caps space to text value (w:hSpace)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: DOCX Paragraph-Drop-Caps
  Show dependency treegraph
 
Reported: 2017-07-24 17:20 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-08-15 19:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-07-24 17:20:12 UTC
Steps:
1. Open attachment 134821 [details]
2. Notice that their there is no space between first drop caps 'L' and the 'I' and the text next to it
3. Compare this with MS Word and notice that there is space.

Version: 6.0.0.0.alpha0+
Build ID: 888f3f18cf42ca08f55a5e4826b4298f391e14aa
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Checking the XML and LO isnt importing the w:hSpace attribute from the <w:framePr> tag.

e.g. <w:framePr w:dropCap="drop" w:lines="2" w:hSpace="720" w:wrap="around" w:vAnchor="text" w:hAnchor="text" />
Comment 1 Yousuf Philips (jay) (retired) 2017-07-24 17:35:06 UTC
how it looks in Word - attachment 134825 [details]
Comment 2 Jacques Guilleron 2017-07-25 14:21:23 UTC
Hi Yousuf,

I reproduce with
LO 6.0.0.0.alpha0+ Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-26_01:24:22
Locale: fr-FR (fr_FR); Calc: CL
and LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
so probably inherited from OOo
In Word, distance to text is 1.27 cm for the first L drop cap
and 0.51 cm set for the I drop cap.
Comment 3 Commit Notification 2017-08-15 19:51:54 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73e7619d903d5fc79ea339ab2c5b4c1ef3cf326e

tdf#109319 writerfilter: set DropCap.Distance

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.